/**
 * Payment Methods Logos
 * @authors: ndevalle, ipianciola, gandre, aramos, dudesl, sabustamante
 * @description: common component for each country's payment methods logos.
 * @version: 1.8.1
 */

/* Common Structure
---------------------------------------------------------------*/

[class*='paymentmethod'] {
    background-repeat: no-repeat;
    display: inline-block;
    margin: 2px;
    overflow: hidden;
    text-indent: 100%;
    vertical-align: middle;
    white-space: nowrap;
}

/* Common Payment Methods to all Contries
---------------------------------------------------------------*/

.paymentmethod-account_money {
    background-position: 0 0;
}

.paymentmethod-visa,
.paymentmethod-visa.paymentmethod-large {
    background-position: 0 -49px;
}

.paymentmethod-debvisa {
    background-position: 0px -1248px;
}
.paymentmethod-debvisa.paymentmethod-large {
    background-position: 0 -1249px;
}

.paymentmethod-master,
.paymentmethod-master.paymentmethod-large {
    background-position: 0 -100px;
}

.paymentmethod-debmaster {
    background-position: 0 -1148px;
}
.paymentmethod-debmaster.paymentmethod-large {
    background-position: 0 -1149px;
}

.paymentmethod-amex,
.paymentmethod-amex.paymentmethod-large{
    background-position: 0 -150px;
}

.paymentmethod-bitcoin,
.paymentmethod-bitcoin.paymentmethod-large{
    background-position: 0 -250px;
}

/* Sprite position for Mexico Logos
---------------------------------------------------------------*/
.paymentmethod-bancomer {
  background-position: 0 -299px;
}
.paymentmethod-bancomer.paymentmethod-large  {
    background-position: 0 -300px;
}

.paymentmethod-banamex,
.paymentmethod-banamex.paymentmethod-large  {
	background-position: 0 -350px;
}

.paymentmethod-hsbc,
.paymentmethod-hsbc.paymentmethod-large  {
	background-position: 0 -399px;
}

.paymentmethod-serfin,
.paymentmethod-serfin.paymentmethod-large  {
	background-position: 0 -450px;
}

.paymentmethod-oxxo,
.paymentmethod-oxxo.paymentmethod-large  {
	background-position: 0 -499px;
}

.paymentmethod-mercadopagocard,
.paymentmethod-mercadopagocard.paymentmethod-large  {
	background-position: 0 -549px;
}

.paymentmethod-banorte {
	background-position: 0 -599px;
}
.paymentmethod-banorte.paymentmethod-large  {
	background-position: 0 -600px;
}

.paymentmethod-ixe,
.paymentmethod-ixe.paymentmethod-large  {
	background-position: 0 -650px;
}

.paymentmethod-debvisa {
  background-position: 0 -700px;
}
.paymentmethod-debvisa.paymentmethod-large  {
	background-position: 0 -700px;
}

.paymentmethod-debmaster {
  background-position: 0 -749px;
}
.paymentmethod-debmaster.paymentmethod-large  {
	background-position: 0 -750px;
}

.paymentmethod-gestopago {
  background-position: 0 -798px;
}
.paymentmethod-gestopago.paymentmethod-large  {
	background-position: 0 -800px;
}

.paymentmethod-7-eleven {
  background-position: 0 -858px;
}
.paymentmethod-7-eleven.paymentmethod-large  {
  background-position: 0 -864px;
}

.paymentmethod-telecomm {
  background-position: 0 -905px;
}
.paymentmethod-telecomm.paymentmethod-large  {
	background-position: 0 -920px;
}


/****************/

.paymentmethod-extra {
  background-position: 0 -954px;
}
.paymentmethod-extra.paymentmethod-large {
    background-position: 0 -970px;
}

.paymentmethod-k {
  background-position: 0 -1005px;
}
.paymentmethod-k.paymentmethod-large {
  background-position: 0 -1020px;
}

.paymentmethod-circle_k {
  background-position: 0 -1056px;
}
.paymentmethod-circle_k.paymentmethod-large {
  background-position: 0 -1070px;
}

.paymentmethod-farmacias {
  background-position: 0 -1105px;
}
.paymentmethod-farmacias.paymentmethod-large {
  background-position: 0 -1120px;
}

.paymentmethod-casa_ley {
  background-position: 0 -1156px;
}
.paymentmethod-casa_ley.paymentmethod-large {
  background-position: 0 -1168px;
}

.paymentmethod-chedraui {
  background-position: 0 -1206px;
}
.paymentmethod-chedraui.paymentmethod-large {
  background-position: 0 -1218px;
}

@media (-webkit-min-device-pixel-ratio: 1.5), (min-resolution: 144dpi), (min-resolution: 1.5dppx) {
  .paymentmethod-banorte.paymentmethod-large  {
  	background-position: 0 -602px;
  }

  .paymentmethod-oxxo.paymentmethod-large  {
    background-position: 0 -502px;
  }

  .paymentmethod-ixe.paymentmethod-large  {
  	background-position: 0 -654px;
  }

  .paymentmethod-mercadopagocard.paymentmethod-large  {
  	background-position: 0 -552px;
  }

  .paymentmethod-debvisa.paymentmethod-large  {
  	background-position: 0 -703px;
  }

  .paymentmethod-debmaster.paymentmethod-large  {
  	background-position: 0 -752px;
  }

  .paymentmethod-gestopago.paymentmethod-large  {
  	background-position: 0 -802px;
  }

  .paymentmethod-7-eleven.paymentmethod-large  {
    background-position: 0 -868px;
  }

  .paymentmethod-telecomm.paymentmethod-large  {
  	background-position: 0 -924px;
  }

  .paymentmethod-extra.paymentmethod-large {
      background-position: 0 -973px;
  }

  .paymentmethod-k.paymentmethod-large {
      background-position: 0 -1024px;
  }

  .paymentmethod-circle_k.paymentmethod-large {
      background-position: 0 -1074px;
  }

  .paymentmethod-farmacias.paymentmethod-large {
      background-position: 0 -1124px;
  }

  .paymentmethod-casa_ley.paymentmethod-large {
      background-position: 0 -1172px;
  }

  .paymentmethod-chedraui.paymentmethod-large {
      background-position: 0 -1222px;
  }
}

/* Mexico Sprite for Default Size
---------------------------------------------------------------*/

[class*='paymentmethod'] {
    background-image: url('https://http2.mlstatic.com/secure/org-img/ui/payment-methods/1.8.1/mx/payment-methods-default.png');
    height: 16px; /* most common height */
}

/*
 * Retina logo for small screens
 */

@media (-webkit-min-device-pixel-ratio: 1.5), (min-resolution: 144dpi), (min-resolution: 1.5dppx) {

[class*='paymentmethod'] {
        background-image: url('https://http2.mlstatic.com/secure/org-img/ui/payment-methods/1.8.1/mx/payment-methods-default@2x.png');
        background-size: 72px 1256px;  /* original x1 image size */
        height: 16px; /* most common height */
    }

}

/* Mexico Default Size
---------------------------------------------------------------*/

.paymentmethod-account_money {
    height: 20px;
    width: 72px;
}

.paymentmethod-visa {
    width: 40px;
}

.paymentmethod-master{
    height: 26px;
    width: 29px;
}

.paymentmethod-amex {
    height: 17px;
    width: 17px;
}

.paymentmethod-bitcoin {
    height: 16px;
    width: 62px;
}

.paymentmethod-bancomer {
    height: 8px;
    width: 63px;
}

.paymentmethod-banamex {
    height: 13px;
    width: 72px;
}

.paymentmethod-hsbc {
    height: 11px;
    width: 57px;
}

.paymentmethod-serfin {
    height: 13px;
    width: 62px;
}

.paymentmethod-oxxo {
    height: 16px;
    width: 33px;
}

.paymentmethod-mercadopagocard {
    height: 18px;
    width: 71px;
}

.paymentmethod-banorte {
    height: 12px;
    width: 71px;
}

.paymentmethod-ixe {
    height: 20px;
    width: 47px;
}

.paymentmethod-debvisa {
    width: 58px;
    height: 13px;
}

.paymentmethod-debmaster {
    height: 26px;
    width: 48px;
}

.paymentmethod-gestopago {
    height: 22px;
    width: 72px;
}

.paymentmethod-7-eleven  {
  height: 18px;
  width: 16px;
}

.paymentmethod-telecomm  {
  height: 14px;
  width: 57px;
}

/****************/

.paymentmethod-extra  {
  height: 20px;
  width: 54px;
}

.paymentmethod-k  {
  height: 20px;
  width: 18px;
}

.paymentmethod-circle_k  {
  height: 18px;
  width: 42px;
}

.paymentmethod-farmacias  {
  height: 20px;
  width: 44px;
}

.paymentmethod-casa_ley  {
  height: 22px;
  width: 28px;
}

.paymentmethod-chedraui  {
  height: 8px;
  width: 72px;
}

/* Mexico Sprite for Large Size
---------------------------------------------------------------*/

.paymentmethod-large {
    background-image: url('https://http2.mlstatic.com/secure/org-img/ui/payment-methods/1.8.1/mx/payment-methods-large.png');
    margin: 5px;
}
/*
 * Retina logo for small screens
 */

@media (-webkit-min-device-pixel-ratio: 1.5), (min-resolution: 144dpi), (min-resolution: 1.5dppx) {

.paymentmethod-large {
        background-image: url('https://http2.mlstatic.com/secure/org-img/ui/payment-methods/1.8.1/mx/payment-methods-large@2x.png');
        background-size: 117px 1265px;  /* original x1 image size */
    }

}


/* Mexico Large Size
---------------------------------------------------------------*/

.paymentmethod-account_money.paymentmethod-large {
    height: 31px;
    width: 116px;
}

.paymentmethod-visa.paymentmethod-large {
    height: 21px;
    width: 63px;
}

.paymentmethod-master.paymentmethod-large {
    height: 35px;
    width: 46px;
}

.paymentmethod-amex.paymentmethod-large {
    height: 28px;
    width: 28px;
}

.paymentmethod-bitcoin.paymentmethod-large {
    height: 25px;
    width: 96px;
}

.paymentmethod-bancomer.paymentmethod-large {
    height: 12px;
    width: 100px;
}

.paymentmethod-banamex.paymentmethod-large {
    height: 21px;
    width: 116px;
}

.paymentmethod-serfin.paymentmethod-large {
    height: 22px;
    width: 99px;
}

.paymentmethod-oxxo.paymentmethod-large {
    height: 25px;
    width: 52px;
}
.paymentmethod-mercadopagocard.paymentmethod-large {
    height: 28px;
    width: 108px;
}

.paymentmethod-hsbc.paymentmethod-large {
    height: 18px;
    width: 90px;
}

.paymentmethod-banorte.paymentmethod-large {
    height: 20px;
    width: 117px;
}
.paymentmethod-ixe.paymentmethod-large {
    height: 32px;
    width: 75px;
}

.paymentmethod-debvisa.paymentmethod-large {
    height: 20px;
    width: 93px;
}

.paymentmethod-debmaster.paymentmethod-large {
    height: 36px;
    width: 78px;
}

.paymentmethod-gestopago.paymentmethod-large {
    height: 36px;
    width: 116px;
}

.paymentmethod-7-eleven.paymentmethod-large {
  height: 26px;
  width: 32px;
}

.paymentmethod-telecomm.paymentmethod-large {
  height: 20px;
  width: 86px;
}

/****************/

.paymentmethod-extra.paymentmethod-large {
  height: 28px;
  width: 84px;
}

.paymentmethod-k.paymentmethod-large {
  height: 28px;
  width: 28px;
}

.paymentmethod-circle_k.paymentmethod-large {
  height: 28px;
  width: 70px;
}

.paymentmethod-farmacias.paymentmethod-large {
  height: 26px;
  width: 68px;
}

.paymentmethod-casa_ley.paymentmethod-large {
  height: 28px;
  width: 46px;
}

.paymentmethod-chedraui.paymentmethod-large {
  height: 12px;
  width: 116px;
}
